Package com.collibra.dgc.core.api.model.workflow.task

# Interface FormProperty

public interface FormProperty
Represents one field in the form.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ResourceReference`
  `getAssetType()`
  Deprecated.
  This method will be removed in the future.
  `List<UUID>`
  `getAssetTypeIds()`
  Returns a list of `AssetType` UUIDs.
  `List<OptionValue>`
  `getCheckButtons()`
  Returns this property's checkbox buttons.
  `List<UUID>`
  `getCommunityIds()`
  Returns a list of `Community` UUIDs.
  `String`
  `getDateTimeType()`
  Returns the datetime type in case this property is of type datetime.
  `List<DropdownValue>`
  `getDefaultDropdownValues()`
  Returns this property's default dropdown values.
  `List<UUID>`
  `getDomainIds()`
  Returns a list of `Domain` UUIDs.
  `List<DropdownValue>`
  `getEnumValues()`
  Returns this property's enum values.
  `String`
  `getHelpText()`
  Retrieve the help text assign to property
  `String`
  `getId()`
  Returns the id of the property.
  `Map<ResourceType,List<DropdownValue>>`
  `getMultiDefaultDropdownValues()`
  Returns the multi default dropdown values.
  `Map<ResourceType,List<DropdownValue>>`
  `getMultiProposedDropdownValues()`
  Returns the multi proposed dropdown values.
  `String`
  `getName()`
  Returns the name of the property.
  `List<DropdownValue>`
  `getProposedDropdownValues()`
  Returns this property's proposed dropdown values.
  `List<OptionValue>`
  `getRadioButtons()`
  Returns this property's radio buttons.
  `List<UUID>`
  `getStatusIds()`
  Returns a list of `Status` UUIDs.
  `String`
  `getType()`
  Returns the property type.
  `String`
  `getUserSourceFilter()`
  Returns the user-source filter for a User form component: a comma-separated list of user sources (e.g.
  `String`
  `getValue()`
  Returns the property (default) value.
  `boolean`
  `isDefaultFromResource()`
  Returns true if this property's default value is the current resource, false otherwise.
  `boolean`
  `isMultiValue()`
  Returns true if this property allows multiple values, false otherwise.
  `boolean`
  `isProposedFixed()`
  Returns true if this property's proposed values are the only set of allowed values to select, false otherwise.
  `boolean`
  `isRequired()`
  Returns true if this property is required, false otherwise.
  `boolean`
  `isWritable()`
  Returns true if this property is writable, false otherwise.

- ## Method Details

  - ### getId

    String getId()
    Returns the id of the property.
    Returns:
      the id

  - ### getName

    String getName()
    Returns the name of the property.
    Returns:
      the name

  - ### getType

    String getType()
    Returns the property type.
    Returns:
      the type

  - ### getValue

    String getValue()
    Returns the property (default) value.
    Returns:
      the value

  - ### isWritable

    boolean isWritable()
    Returns true if this property is writable, false otherwise.
    Returns:
      the writable

  - ### isRequired

    boolean isRequired()
    Returns true if this property is required, false otherwise.
    Returns:
      the required

  - ### getEnumValues

    List<DropdownValue> getEnumValues()
    Returns this property's enum values.
    Returns:
      a `List` of `DropdownValue` enumValues

  - ### getCheckButtons

    List<OptionValue> getCheckButtons()
    Returns this property's checkbox buttons.
    Returns:
      a `List` of `OptionValue` checkButtons

  - ### getRadioButtons

    List<OptionValue> getRadioButtons()
    Returns this property's radio buttons.
    Returns:
      a `List` of `OptionValue` radioButtons

  - ### getDefaultDropdownValues

    List<DropdownValue> getDefaultDropdownValues()
    Returns this property's default dropdown values.
    Returns:
      a `List` of `DropdownValue` defaultDropdownValues

  - ### getProposedDropdownValues

    List<DropdownValue> getProposedDropdownValues()
    Returns this property's proposed dropdown values.
    Returns:
      a `List` of `DropdownValue` proposedDropdownValues

  - ### getDateTimeType

    String getDateTimeType()
    Returns the datetime type in case this property is of type datetime.
    Returns:
      the dateTimeType

  - ### isMultiValue

    boolean isMultiValue()
    Returns true if this property allows multiple values, false otherwise.
    Returns:
      the multiValue

  - ### isProposedFixed

    boolean isProposedFixed()
    Returns true if this property's proposed values are the only set of allowed values to select, false otherwise.
    Returns:
      the proposedFixed

  - ### isDefaultFromResource

    boolean isDefaultFromResource()
    Returns true if this property's default value is the current resource, false otherwise.
    Returns:
      the defaultFromResource

  - ### getMultiDefaultDropdownValues

    Map<ResourceType,List<DropdownValue>> getMultiDefaultDropdownValues()
    Returns the multi default dropdown values.
    Returns:
      a `Map` of `ResourceType` as key and a `List` of `DropdownValue`s

  - ### getMultiProposedDropdownValues

    Map<ResourceType,List<DropdownValue>> getMultiProposedDropdownValues()
    Returns the multi proposed dropdown values.
    Returns:
      a `Map` of `ResourceType` as key and a `List` of `DropdownValue`s

  - ### getAssetType

    ResourceReference getAssetType()
    Deprecated.
    This method will be removed in the future. Use `getAssetTypeIds()` instead.
    Returns the reference to the `AssetType`. Only `Asset`s of the specified `AssetType` are allowed as input.
    Returns:
      The reference to the `AssetType` to filter on.

  - ### getAssetTypeIds

    List<UUID> getAssetTypeIds()
    Returns a list of `AssetType` UUIDs. Only `Asset`s of specified `AssetType`s are allowed as input.
    Returns:
      List of `AssetType` UUIDs.

  - ### getCommunityIds

    List<UUID> getCommunityIds()
    Returns a list of `Community` UUIDs. Only `Asset`s from the specified `Community`s are allowed as input.
    Returns:
      List of `Community` UUIDs.

  - ### getDomainIds

    List<UUID> getDomainIds()
    Returns a list of `Domain` UUIDs. Only `Asset`s from the specified `Domain`s are allowed as input.
    Returns:
      List of `Domain` UUIDs.

  - ### getStatusIds

    List<UUID> getStatusIds()
    Returns a list of `Status` UUIDs. Only `Asset`s of the specified `Status` are allowed as input.
    Returns:
      List of `Status` UUIDs.

  - ### getUserSourceFilter

    String getUserSourceFilter()
    Returns the user-source filter for a User form component: a comma-separated list of user sources (e.g. INTERNAL,LDAP,SSO,SCIM). Only users whose source matches one of these values are offered in the dropdown.
    Returns:
      the user-source filter, or `null` if not configured.

  - ### getHelpText

    String getHelpText()
    Retrieve the help text assign to property
    Returns:
      The help text.